# Deleting a Firewall Rule

#### Function

This API is used to delete a firewall rule.

Before deleting a rule, you need to remove the rule from the corresponding policy first. For details, see Removing a Firewall Rule.

#### URI

DELETE /v2.0/fwaas/firewall_rules/{firewall_rule_id}

Table 1 describes the parameters.

Table 1 Parameter description
Name | Mandatory | Type | Description
--- | --- | --- | ---
firewall_rule_id | Yes | String | Specifies the firewall rule ID, which uniquely identifies the firewall rule.

#### Request Message

None

#### Response Message

None

#### Example:

Example request

    DELETE https://{Endpoint}/v2.0/fwaas/firewall_rules/b94acf06-efc2-485d-ba67-a61acf2a7e28

Example response

None

#### Status Code

See Status Codes.

#### Error Code

See Error Codes.

Parent topic: Firewall